Package twisted :: Package protocols :: Module imap4 :: Class StreamWriter

[show private | hide private]
[frames | no frames]

## Class StreamWriter

       Codec --+
               |
    StreamWriter --+
                   |
                  StreamWriter

Method Summary
| ``__init__`(self, stream, errors)` Creates a StreamWriter instance. (inherited from `StreamWriter`)
| ``__getattr__`(self, name, getattr)` Inherit all other methods from the underlying stream. (inherited from `StreamWriter`)
| `decode(self, s, errors)`
| ``encode`(self, input, errors)` Encodes the object input and returns a tuple (output object, length consumed). (inherited from `Codec`)
| ``reset`(self)` Flushes and resets the codec buffers used for keeping state. (inherited from `StreamWriter`)
| ``write`(self, object)` Writes the object's contents encoded to self.stream. (inherited from `StreamWriter`)
| ``writelines`(self, list)` Writes the concatenated list of strings to the stream using .write(). (inherited from `StreamWriter`)

Generated by Epydoc 1.1 on Thu May 8 13:18:48 2003 | http://epydoc.sf.net